<?php

declare(strict_types=1);

namespace Database\Seeders;

use App\Services\SettingService;
use Illuminate\Database\Seeder;

class SettingSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $settingService = app(SettingService::class);

        $settingService->setMany([
            'site_logo' => '/images/logo.png',
            'site_favicon' => '/favicon.ico',
            'site_name' => 'CafePOS',
            'site_description' => 'Enterprise Web-Based POS & Inventory System for Coffee Shops.',
            'tax_percentage' => '11',
            'service_charge_percentage' => '5',
            'qris_image' => '/images/radhcloud-qris.png',
        ]);
    }
}
